Skip to main content
GET
/
api
/
v1
/
calendars
/
{calendarId}
/
event-types
List event types
curl --request GET \
  --url https://prod.featherhq.com/api/v1/calendars/{calendarId}/event-types \
  --header 'X-API-Key: <api-key>'
{
  "eventTypes": [
    {
      "id": "<string>",
      "calendarId": "<string>",
      "name": "<string>",
      "slug": "<string>",
      "description": "<string>",
      "duration": 123,
      "slotInterval": 123,
      "minimumBookingNotice": 123,
      "beforeEventBuffer": 123,
      "afterEventBuffer": 123,
      "periodType": "UNLIMITED",
      "periodDays": 123,
      "periodStartDate": "<string>",
      "periodEndDate": "<string>",
      "scheduleId": "<string>",
      "location": "<string>",
      "addGoogleMeet": true,
      "active": true,
      "archived": true,
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "metadata": null
    }
  ],
  "pagination": {
    "limit": 123,
    "nextCursor": "<string>"
  }
}

Authorizations

X-API-Key
string
header
required

Path Parameters

calendarId
string
required

Query Parameters

cursor
string
limit
string
default:10

Response

List of event types

eventTypes
object[]
required
pagination
object
required